;;;; random-touches.el -- part of John's elisp change-ringing system
;;; get the user to ring random touches as a way of testing them on groups of methods
;;; Time-stamp: <99/01/12 12:14:12 johnstu>

(eval-when (compile load eval)
  (provide 'random-touches)
  (require 'method-groups)
)

(defun ringing:ring-random-touch (group)
  "Ring a random touch from GROUP."
  (interactive
   (let* ((group-name (completing-read
		       prompt
		       (method-groups:all-groups)
		       nil
		       t
		       (method-group:buffer-default-group))))
     (list group-name)))
  (let ((matrix (method-group:lead-matrix group)))
    ))
  
;;; end of random-touches.el
